Subject: Re: [net-next PATCH v5 01/10] netdev-genl: spec: Extend netdev netlink spec in YAML for queue

From: Jakub Kicinski <[email-masked]>
Date: Fri, 20 Oct 2023 15:05:57 -0700

On Fri, 20 Oct 2023 13:26:38 -0700 Nambiar, Amritha wrote:
> > WARNING:SPACING: space prohibited between function name and open parenthesis '('
> > #547: FILE: tools/net/ynl/generated/netdev-user.h:181:
> > +	struct netdev_queue_get_rsp obj __attribute__ ((aligned (8)));
> 
> Looks like the series is in "Changes Requested" state following these 
> warnings. Is there any recommendation for warnings on generated code? I 
> see similar issues on existing code in the generated file.

Yes, ignore this one. I'll post a change to the codegen.
The warning on patch 3 is legit, right?

kernel test bot folks, please be careful with the checkpatch warnings.
Some of them are bogus. TBH I'm not sure how much value running
checkpatch in the bot adds. It's really trivial to run for the
maintainers when applying patches.